aboutsummaryrefslogtreecommitdiff
path: root/create_list.sh
diff options
context:
space:
mode:
Diffstat (limited to 'create_list.sh')
-rwxr-xr-xcreate_list.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/create_list.sh b/create_list.sh
index d39fdfa..bc101be 100755
--- a/create_list.sh
+++ b/create_list.sh
@@ -20,6 +20,12 @@
# Just for convenience, we will simply make up a list of files found in hashes
# we will be searching for files smaller than 4096 bytes. An extra check with
# `file` to find 'JSON text data'.
+if [ -f "hashes/list" ]
+then
+ echo 'ERROR: This script creates the first list only'
+ echo 'Use ./append_latest_list.sh instead'
+ exit 1
+fi
json_file_list="$(mktemp)"
find hashes -type f -size -4096 | sort | while read filepath
do